Package be.vlaanderen.mercurius.wzcmh.common.v3

# Class NotificationType

java.lang.Object
be.vlaanderen.mercurius.wzcmh.common.v3.NotificationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class NotificationType extends Object implements Serializable
Groeperend element met informatie over één melding

Java class for NotificationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NotificationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Message" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Category" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NotificationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCategory()`
  Categorie van de melding
  `String`
  `getCode()`
  Unieke code van de melding
  `String`
  `getMessage()`
  Melding
  `void`
  `setCategory(String value)`
  Sets the value of the category property.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setMessage(String value)`
  Sets the value of the message property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NotificationType

    public NotificationType()

- ## Method Details

  - ### getCode

    public String getCode()
    Unieke code van de melding
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCode()`

  - ### getMessage

    public String getMessage()
    Melding
    Returns:
      possible object is `String`

  - ### setMessage

    public void setMessage(String value)
    Sets the value of the message property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getMessage()`

  - ### getCategory

    public String getCategory()
    Categorie van de melding
    Returns:
      possible object is `String`

  - ### setCategory

    public void setCategory(String value)
    Sets the value of the category property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCategory()`